Retrieves all the type

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

marketing_segment
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

string

Max length: 50

segment

Marketing segment Name

string

Required

Max length: 50

description

Description of the segment

string

Max length: 255

visit_frequency_days_interval

Number of days between 2 visits

integer
frequency_logic

Logic to apply for the frequency, which last events (value can be ORDER,MEETING_COMPLETED or ORDER_OR_MEETING_COMPLETED )

string
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "c65e35dc-da6d-4b85-968e-d9d17d07b4b8",
  "code": "sample string 2",
  "segment": "sample string 3",
  "description": "sample string 4",
  "visit_frequency_days_interval": 5,
  "frequency_logic": "sample string 6",
  "sales_organization_id": "b4322185-b929-4a5d-b867-7bb63569dbbf",
  "sales_organization_code": "sample string 8",
  "sales_organization": {
    "id": "80b2a667-4ce1-45ab-81fe-71ce01ac537e",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "844388f0-6f39-458b-829a-0ecd023d601b",
    "db_currency_id": "65a40f3b-e529-4136-b3ab-6e5034906ebe",
    "db_language_id": "7512899f-8992-4f5a-aa60-9b9fbdcbfd8f",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-07-29T15:00:28.7840355+00:00"
  },
  "modified_dateutc": "2026-07-29T15:00:28.7840355+00:00"
}